//
//  View.swift
//  Switch
//
//  Created by Mark Meretzky on 7/20/16.
//  Copyright © 2016 Mark Meretzky. All rights reserved.
//

import UIKit;

class View: UIView {

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)!;
		backgroundColor = UIColor.whiteColor();

		//Center the switch in this View,
		let mySwitch: UISwitch = UISwitch(); //but don't give it a size.
		mySwitch.center = center;

		//Keep the switch centered in this View,
		//even when the size of the View changes.

		mySwitch.autoresizingMask = [
			UIViewAutoresizing.FlexibleLeftMargin,
			UIViewAutoresizing.FlexibleRightMargin,
			UIViewAutoresizing.FlexibleTopMargin,
			UIViewAutoresizing.FlexibleBottomMargin
		];

		let application: UIApplication = UIApplication.sharedApplication();
		let appDelegate: AppDelegate = application.delegate as! AppDelegate;
		let window: UIWindow = appDelegate.window!;
		let viewController: ViewController = window.rootViewController as! ViewController;

		mySwitch.addTarget(viewController,
			action: #selector(ViewController.valueChanged(_:)),
			forControlEvents: UIControlEvents.ValueChanged
		);

		addSubview(mySwitch);
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
